package com.autocareai.mvvmdemo.demo.api

import com.autocareai.lib.net.HttpUtil
import com.autocareai.lib.net.observable.HttpObservable
import com.autocareai.mvvmdemo.common.http.asResponse
import com.autocareai.mvvmdemo.demo.enity.UserEntity

/**
 * <pre>
 *     author : Taylor Zhang
 *     time   : 2020/06/24
 *     desc   : Demo网络请求接口
 *     version: 1.0.0
 * </pre>
 */
object DemoApi {

    // 登录
    private const val LOGIN = "user/login"

    /**
     * 登录
     *
     * @param phone 手机号
     * @param password 密码
     */
    fun login(phone: String, password: String): HttpObservable<UserEntity> {
        return HttpUtil.postForm(LOGIN)
            .param("username", phone)
            .param("password", password)
            .asResponse()
    }
}